diff --git a/src/bin/pg_dump/pg_dump.c b/src/bin/pg_dump/pg_dump.c
new file mode 100644
index ad4b4e5..77bf8ac
*** a/src/bin/pg_dump/pg_dump.c
--- b/src/bin/pg_dump/pg_dump.c
*************** getAccessMethods(Archive *fout, int *num
*** 4157,4166 ****
  	/* Make sure we are in proper schema */
  	selectSourceSchema(fout, "pg_catalog");
  
! 	/*
! 	 * Select only user-defined access methods assuming all built-in access
! 	 * methods have oid < 10000.
! 	 */
  	appendPQExpBuffer(query, "SELECT tableoid, oid, amname, amtype, "
  					  "amhandler::pg_catalog.regproc AS amhandler "
  					  "FROM pg_am");
--- 4157,4163 ----
  	/* Make sure we are in proper schema */
  	selectSourceSchema(fout, "pg_catalog");
  
! 	/* Select all access methods from pg_am table */
  	appendPQExpBuffer(query, "SELECT tableoid, oid, amname, amtype, "
  					  "amhandler::pg_catalog.regproc AS amhandler "
  					  "FROM pg_am");
